Support Center

Technical Requirements

Last Updated: Aug 30, 2012 11:29AM EDT

Browser Requirements

LectureTools is fully supported on the following browsers:

  • Google Chrome 10.0+
  • Firefox 4.0+
  • Safari 5.0+
  • Internet Explorer 9.0+

Check your current browser here.

Hardware Requirements

For Instructors

A desktop or laptop computer with internet connectivity.

iPad or tablet to present wirelessly (Optional)


For Students

A desktop or laptop computer with internet connectivity OR

An iPad with the LectureTools iPad App OR

A cellphone with SMS texting (Limited functionality)
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
Invalid characters found